<?php
/**
 *
 * @version     1.0.$Revision:$
 * @version     SVN: $Id:$
 * @package     bplan-base/globals
 * @author      Emilio Cannarozzo <emilio.cannarozzo@bplan-solutions.de>
 * @author      Wassilios Meletiadis <wassilios.meletiadis@bplan-solutions.de>
 * @copyright   Copyright (C) 2025, 2026 bplan-solutions GmbH & Co. KG <https://www.bplan-solutions.de/>
 * /Δ\
 */


if (config('code-generator.skip-routing', false) === false) {
    foreach (config('jsonapi.servers', []) as $server => $nul) {
        $serverRouteFile = __DIR__.'/api/'.$server.'.php';

        if (!file_exists($serverRouteFile)) {
            continue;
        }
        require $serverRouteFile;
    }
}
